"""
Install method

$Id: Install.py 2 2008-07-07 14:14:32Z gael.le-mignot $
"""

from StringIO import StringIO

from Products.CMFCore.utils import getToolByName

from Products.SmartCsvExporter.config import PROJECT_NAME
from Products.SmartCsvExporter.tools.SmartCsvExporterTool import SmartCsvExporterTool

def install(self):
    """
    Install this product
    """
    out = StringIO()
    print >> out, 'Installing %s' % PROJECT_NAME

    ## Add tool
    portal = getToolByName(self, 'portal_url').getPortalObject()
    if getToolByName(portal, SmartCsvExporterTool.id, None) is None:
        t = SmartCsvExporterTool()
        portal._setObject(SmartCsvExporterTool.id, t)

    ## Create action
    at = getToolByName(self, 'portal_actions') 
    try:
        at.addAction('export-csv',
                     name='Export as CSV',
                     action='string:${object_url}/portal_smart_csv_exporter/export_as_csv',
                     condition="python: object.portal_type=='Topic'",
                     permission='Manage portal',
                     category='object')
    except:
        pass
    return out.getvalue()

    print >> out, "Successfully installed %s." % PROJECT_NAME
    return out.getvalue()
